- Qt 6.10
- Qt Positioning
- QML Types
- geoSatelliteInfo
- Qt 6.10.0 Reference Documentation

# geoSatelliteInfo QML Value Type

The geoSatelliteInfo type represents basic information about a satellite. More...

Import Statement: | `import QtPositioning`
Since: | Qt 6.5

## Properties

- satelliteIdentifier : int
- satelliteSystem : enumeration
- signalStrength : real

## Methods

- real attribute(Attribute attr)
- bool hasAttribute(Attribute attr)

## Detailed Description

This type is a QML representation of QGeoSatelliteInfo. The type is uncreatable from QML and can only be used when handling satellite updates from SatelliteSource.

This type contains the `satelliteSystem`, `satelliteIdentifier` and `signalStrength` read-only properties, and also optional attributes.

Use the hasAttribute method to check if the attribute exists or not, and the attribute method to get its value.

See also QGeoSatelliteInfo.

## Property Documentation

satelliteIdentifier : int `[read-only]`

Holds the satellite identifier number.

The satellite identifier number can be used to identify a satellite within the satellite system.

The actual value may vary, depending on the platform and the selected backend.

satelliteSystem : enumeration `[read-only]`

Holds the GNSS system of the satellite.

Constant | Description
--- | ---
`GeoSatelliteInfo.Undefined` | Not defined.
`GeoSatelliteInfo.GPS` | Global Positioning System (USA).
`GeoSatelliteInfo.GLONASS` | Global Positioning System (Russia).
`GeoSatelliteInfo.GALILEO` | Global navigation satellite system (EU).
`GeoSatelliteInfo.BEIDOU` | BeiDou navigation satellite system (China).
`GeoSatelliteInfo.QZSS` | Quasi-Zenith Satellite System (Japan).
`GeoSatelliteInfo.Multiple` | This type normally indicates that the information is received from a device that supports multiple satellite systems, and the satellite system is not explicitly specified.
`GeoSatelliteInfo.CustomType` | The first type that can be used for user purposes.

signalStrength : real `[read-only]`

Holds the signal strength in decibels.

## Method Documentation

real attribute(Attribute attr)

Returns the value of the attribute attr or -1 if the value has not been set.

The following attributes are supported:

- `GeoSatelliteInfo.Elevation` - the elevation of the satellite, in degrees.
- `GeoSatelliteInfo.Azimuth` - the azimuth to true north, in degrees.

bool hasAttribute(Attribute attr)

Returns `true` if the satellite information contains the attribute attr. Otherwise returns `false`.

See attribute() for the list of supported attributes.